# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Test.pm) perl(Time/Local.pm) perl(Time/localtime.pm) perl(XML/LibXML.pm) perl(XML/SAX.pm)
# END SourceDeps(oneline)
%define module_version 1.3
%define module_name business-payroll
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3
Release: alt1
Summary: >new();
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JA/JAMESP/payroll/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is the base package for the Business::Payroll Module.  .It can be used programmatically per the synopsis above or with standalone
xml files.  There are two perl scripts included with this module to
update and process the xml files.  The standard procedure would be

  1) Create xml file by hand or use example from this doc as a template.  This is called 'raw' data.
  2) 'cook' the data by running the process_payroll script.  (no arguments will give help output)
  3) For the next pay period you can manually copy and change the previous raw data or run update_payroll
  4) Repeat step 2

NOTE: There are no requirements on file names.  We use two directories of input and output files and use dates for file names.  You can also put all files in one directory and name them something like input_DATE.xml output_DATE.xml. 

Example:

=over 4

<?xml version="1.0" encoding="ISO-8859-1"?>
<payroll type="raw" version="1.0" date="20040713" period="biweekly" genSysId="20040628-20040711">
  <person id="1" name="Person A" marital="single">
    <country name="US" gross="1362.00" allow="2" withHold="0.00" grossYTD="13166.00" federalYTD="1071.00" method="">
      <state name="MO" gross="1362.00" allow="1" withHold="5.00" method="">
      </state>
    </country>
  </person>
  <person id="2" name="Person B" marital="single">
    <country name="US" gross="541.00" allow="1" withHold="0.00" grossYTD="9899.00" federalYTD="835.00" method="">
      <state name="MO" gross="541.00" allow="0" withHold="2.00" method="">
      </state>
    </country>
  </person>
</payroll>

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README docs
%perl_vendor_privlib/B*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1
- initial import by package builder

